%define build_gstreamer 0
%{?_with_gstreamer: %{expand: %%global build_gstreamer 1}}
%{?_without_gstreamer: %{expand: %%global build_gstreamer 0}}

%define xineversion 1
%define gstver 0.6.0.3

Summary: Video player based on xine for GNOME2
Name: totem
Version: 0.99.4
Release: 4mdk
Source0: %{name}-%{version}.tar.bz2
Source1: %name-16.png
Source2: %name-32.png
# (fc) correctly disable xscreensaver in fullscreen mode (CVS)
Patch0: totem-0.99.4-xscreensaver.patch.bz2
# (fc) remove debug message
Patch1: totem-0.99.4-removedebug.patch.bz2
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.hadess.net/totem.php3
%if %build_gstreamer
BuildRequires: gstreamer-plugins-devel >= %gstver
%else
BuildRequires: libxine-devel >= %xineversion
%endif
BuildRequires: libglade2.0-devel
BuildRequires: liblirc-devel
BuildRequires: gnome-desktop-devel
BuildRequires: curl-devel
%if %build_gstreamer
Requires: gstreamer-xvideosink >= %gstver
Requires: gstreamer-audiosink >= %gstver
Requires: gstreamer-GConf >= %gstver
Requires: gstreamer-avi >= %gstver
Requires: gstreamer-ffmpeg >= %gstver
%else
Requires: xine-plugins >= %xineversion
%endif
Requires: XFree86-libs >= 4.3-13mdk

%description
Totem is simple movie player for the Gnome desktop based on xine. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%prep
%setup -q
%patch0 -p1 -b .xscreensaver
%patch1 -p1 -b .debugmessage

%build
%configure2_5x \
%if %build_gstreamer
	--enable-gstreamer
%else
	--disable-gstreamer
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Multimedia/Video" \
	icon="totem.png" \
	mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav,audio/x-mpegurl" \
	accept_url="true" \
	multiple_files="true" \
	title="Totem Movie Player" \
	longtitle="Play movies and songs" \
	startup_notify="true" \
	kde_opt="InitialPreference=15"
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Multimedia/Sound" \
	icon="totem.png" \
	title="Totem Media Player" \
	longtitle="Play movies and songs" \
	startup_notify="true" \
	kde_opt="InitialPreference=15"

EOF

#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/media-player-48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/totem.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/totem.schemas > /dev/null
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas > /dev/null
fi

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO
%_sysconfdir/gconf/schemas/*
%_bindir/*
%_libdir/totem-properties-page
%_libdir/bonobo/servers/*
%_datadir/pixmaps/*
%_datadir/application-registry/*
%_datadir/mime-info/*
%_datadir/totem
%_datadir/applications/*
%_menudir/%name
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Fri Sep 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-4mdk
- Patch1 : remove debug message

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-3mdk
- Patch0 (CVS): correctly disable xscreensaver in fullscreen mode

* Thu Sep  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.4-2mdk
- add a build conditional for gstreamer support to the spec   

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-1mdk
- Release 0.99.4
- Remove patch 0 (merged upstream)

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.3-1mdk
- Release 0.99.3
- Remove patches 0, 1 & 2 (merged upstream)
- Patch0 (CVS): various CVS fixes

* Thu Aug 28 2003 David Baudens <baudens@mandrakesoft.com> 0.99.2-8mdk
- Add audio/x-mpegurl support in mimetype
- Add kde_opt="InitialPreference=15" to menu entry

* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.2-7mdk
- Patch1 : use konqueror instead of nautilus if running under KDE (bug
  #4820)
- Patch2 : fix modality problem with screenshot file selector (bug #4819)
- Add another menu entry in Multimedia/Sound (without mimetype)

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-6mdk
- arrgh, another buildrequires fix

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-5mdk
- another buildrequires fix

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-4mdk
- fix buildrequires
- only uninstall schemas on deinstallation

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.99.2-3mdk
- Update patch0 from hadess

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.99.2-2mdk
- Remove patch0, no longer needed with XF 4.3-13mdk
- Patch0 (hadess): fix curl detection
- Fix BuildRequires

* Sun Jul  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- rediff the patch
- add schemas uninstallation
- new version

* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- new version

* Tue Jun  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-2mdk
- fix buildrequires

* Wed May 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-1mdk
- new version

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.98.0-1mdk
- Release 0.98.0

* Wed Apr 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.97.0-1mdk
- Release 0.97.0
- Remove patch0 (merged upstream)
- Patch0: disable XInitThreads until XFree86 is fixed

* Mon Apr 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.96.0-2mdk
- fix the thumbnailer

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.96.0-1mdk
- Release 0.96.0

* Sat Mar  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.95.1-2mdk
- Fix video thumbnail schema
- Add startup notify support

* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95.1-1mdk
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90.0-1mdk
- add video thumbnailer incl. schema
- remove gnomevfs plugin
- drop patch
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-4mdk
- temporal patch to disable some gnome-vfs2 feature to allow build
- rebuild against latest ssl

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-3mdk
- rebuild

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-2mdk
- fix schema installation

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-1mdk
- new version

* Sun Dec  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-1mdk
- new version

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Add missing schema registration

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.12.0-1mdk
- fix xine plugins dir
- requires libxine1
- new version

* Tue Oct 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.0-1mdk
- build with lirc support
- new version

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-3mdk
- fix menu

* Fri Sep 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-2mdk
- requires xine-plugins (of course)

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-1mdk
- initial Mandrake package
